# Usually you'll need to fix the next two lines 
# and the problem set definition.
ContestId := $t;
ContestName := Группа DJ, Практическое занятие 3. среда, 14 октября 2009;
Minutes := 210;
DisableMon := 0;
ForceContLen := 1;

daydir := $testsysdir\$ContestId;
contestdir := $daydir;                                
SubmitQDir := $contestdir\submits;
DataFile := $contestdir\contest.dat;
TestLogDir := $contestdir\testlogs;
IOILogs := $contestdir\ioilogs;
IOISols := $contestdir\ioisols;
Log := $contestdir\contest.log;

monitors = [  
  {file:=$testsysdir\internet\n$ContestId.dat; id:=umon; usermon:=yes; monmask:=7;}
  {file:=$testsysdir\internet\m$ContestId.dat; usermon:=yes; monmask:=6;}
  {file:=console; usermon:=no;}
  {file:=$testsysdir\monitors\jm$ContestId.dat; id := jmon; usermon:=no; monmask:=7;}
];

timelimit := 2;
memorylimit := 262144;

AutoResults := true;
AllowedExtensions := .java;
include $configdir\probmac.cfg
problems = [
  problA (A, "Поиск слов", search)
  problA (B, "Подсчёт числа вхождений", count)
  problA (C, "Анаграммы", anagrams)
  problA (D, "Странный компьютер", computer)
  problA (E, "Доски на полу", floor)
  problA (F, "Отличие строк", strings)
  problA (G, "Станция 'Сортировочная'", sorting)
];                                                                     

teamprinter := PR1;
pagelimit := 5;
printbanners := true;
printnotifications := false;
largebannerheaders := false;
samesheetbanners := true;

AllowDupLogins := true;
StatementsLink := http://acm.math.spbu.ru/trains/$t.pdf

include $configdir\contmac.cfg
include $configdir\teammac.cfg
include $testsysdir\logins_08.cfg
SendTestNumber := true;
